Macaulay2 » Documentation
Packages » Macaulay2Doc » matrices » mutable matrices » columnRankProfile
next | previous | forward | backward | up | index | toc

# columnRankProfile -- find the column rank profile of a mutable matrix

- Usage:
    `columnRankProfile m`
- Inputs:
  - m, a mutable matrix, over RR or CC
- Outputs:
  - a list, the lexicographically smallest list of indices of linearly independent columns generating the column space of m

## Description

    i1 : columnRankProfile transpose mutableMatrix {{1,2,3}, {0,0,0.}, {3,4,5} }

    o1 = {0, 2}

    o1 : List

## See also

- rowRankProfile -- find the row rank profile of a mutable matrix

## Ways to use columnRankProfile:

- `columnRankProfile(MutableMatrix)`

## For the programmer

The object columnRankProfile is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/doc_mutablematrices.m2:339:0.